Postinstall Error Electron v1.7.8



  • at the install automatic or manual the same error:

    /home/pi/MagicMirror/node_modules/electron/install.js:48
    throw err
    ^

    Error: Failed to find Electron v1.7.8 for linux-arm at https://github.com/electron/electron/releases/download/v1.7.8/electron-v1.7.8-linux-arm.zip
    at Request. (/home/pi/MagicMirror/node_modules/nugget/index.js:169:61)
    at emitOne (events.js:115:13)
    at Request.emit (events.js:210:7)
    at Request.onRequestResponse (/home/pi/MagicMirror/node_modules/request/request.js:1068:10)
    at emitOne (events.js:115:13)
    at ClientRequest.emit (events.js:210:7)
    at HTTPParser.parserOnIncomingClient [as onIncoming] (_http_client.js:565:21)
    at HTTPParser.parserOnHeadersComplete (_http_common.js:116:23)
    at TLSSocket.socketOnData (_http_client.js:454:20)
    at emitOne (events.js:115:13)
    npm WARN grunt-stylelint@0.9.0 requires a peer of stylelint@^8.0.0 but none was installed.
    npm WARN stylelint-config-recommended@1.0.0 requires a peer of stylelint@^8.0.0 but none was installed.
    npm WARN stylelint-config-standard@17.0.0 requires a peer of stylelint@^8.0.0 but none was installed.

    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! electron@1.7.8 postinstall: node install.js
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the electron@1.7.8 postinstall script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

    npm ERR! A complete log of this run can be found in:

    **part of the log file:**251 silly postinstall electron@1.7.8
    252 info lifecycle electron@1.7.8~postinstall: electron@1.7.8
    253 verbose lifecycle electron@1.7.8~postinstall: unsafe-perm in lifecycle true
    254 verbose lifecycle electron@1.7.8~postinstall: PATH: /usr/lib/node_modules/npm/bin/node-gyp-bin:/home/pi/MagicMirror/node_modules/electron/node_modules/.bin:/home/pi/MagicMirror/node_modules/.bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/local/games:/usr/games
    255 verbose lifecycle electron@1.7.8~postinstall: CWD: /home/pi/MagicMirror/node_modules/electron
    256 silly lifecycle electron@1.7.8~postinstall: Args: [ ‘-c’, ‘node install.js’ ]
    257 silly lifecycle electron@1.7.8~postinstall: Returned: code: 1 signal: null
    258 info lifecycle electron@1.7.8~postinstall: Failed to exec postinstall script
    259 verbose unlock done using /home/pi/.npm/_locks/staging-f4a655787a5bf4d3.lock for /home/pi/MagicMirror/node_modules/.staging
    260 warn grunt-stylelint@0.9.0 requires a peer of stylelint@^8.0.0 but none was installed.
    261 warn stylelint-config-recommended@1.0.0 requires a peer of stylelint@^8.0.0 but none was installed.
    262 warn stylelint-config-standard@17.0.0 requires a peer of stylelint@^8.0.0 but none was installed.
    263 verbose stack Error: electron@1.7.8 postinstall: node install.js
    263 verbose stack Exit status 1
    263 verbose stack at EventEmitter. (/usr/lib/node_modules/npm/lib/utils/lifecycle.js:289:16)
    263 verbose stack at emitTwo (events.js:125:13)
    263 verbose stack at EventEmitter.emit (events.js:213:7)
    263 verbose stack at ChildProcess. (/usr/lib/node_modules/npm/lib/utils/spawn.js:40:14)
    263 verbose stack at emitTwo (events.js:125:13)
    263 verbose stack at ChildProcess.emit (events.js:213:7)
    263 verbose stack at maybeClose (internal/child_process.js:927:16)
    263 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)
    264 verbose pkgid electron@1.7.8
    265 verbose cwd /home/pi/MagicMirror
    266 verbose Linux 4.9.51-v7+
    267 verbose argv “/usr/bin/node” “/usr/bin/npm” "install"
    268 verbose node v8.5.0
    269 verbose npm v5.3.0
    270 error code ELIFECYCLE
    271 error errno 1
    272 error electron@1.7.8 postinstall: node install.js
    272 error Exit status 1
    273 error Failed at the electron@1.7.8 postinstall script.
    273 error This is probably not a problem with npm. There is likely additional logging output above.
    274 verbose exit [ 1, true ]

    someone knows a working solution



  • Hey @Deltanaut!

    Looks like electron/v1.7.8/arm is now available. Can you retry your installation and report back here? Thanks in advance! :)



  • @currve THX @currve it works perfekt now THX


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.